Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

Delete product image

Permanently removes an image from a product. Requires admin scope.

DELETE/products/{product_id}/assets/{id}
Authorization
AuthorizationBearer token (JWT) · headerrequired

OAuth 2.0 Bearer token. Obtain via POST https://auth.onbolder.com/oauth/token.

Scopes:admin
Path parameters
product_idstringrequired

Product ID or slug

idintegerrequired

Asset ID

Responses
204

Asset deleted

404

Resource not found

messagestring
Try it
Server
Authorization
Parameters
Request
curl -X DELETE 'https://api.onbolder.com/v1/products/string/assets/0' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
Asset deleted

Was this page helpful?